#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd43d459, "latent_entropy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4df02057, "crc32_be" },
	{ 0x75fa5544, "pv_ops" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x92997ed8, "_printk" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0x4aea463f, "crc32_le_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7eb536a4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "420D2C057767701975235D3");
